import 'basico_model.dart';

class PermisoPerfil {
  String? id;
  String? clave;
  String? nombre;
  String? descripcion;
  DateTime? creado;

  PermisoPerfil({
    this.id,
    this.clave,
    this.nombre,
    this.descripcion,
    this.creado,
  });

  Map<String, dynamic> toJson() {
    return {
      'clave': clave,
      'nombre': nombre,
      'descripcion': descripcion,
    };
  }

  PermisoPerfil.fromJson(Map<String, dynamic> json) {
    id = Basico.parseString(json['id']);
    clave = Basico.parseString(json['clave']);
    nombre = Basico.parseString(json['nombre']);
    descripcion = Basico.parseString(json['descripcion']);
    creado = Basico.parseDate(json['creado']);
  }
}
